%global debug_package %{nil}

Name:           oraclelinux-developer-release-el9
Version:        1.0
Release:        2%{dist}
Summary:        Oracle Linux Developer yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:         oraclelinux-developer-ol9.repo
Source1:        LICENSE



BuildArch:     x86_64 aarch64
Requires:      grep
Requires:      sed
Requires:      curl
Requires:      yum 
Requires:      oraclelinux-release-el9

%description
This package contains the  Oracle Linux Developer yum repository configuration.

%prep
%setup -q -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT

install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 644 %{SOURCE0} $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*



%changelog
* Tue Jul  5 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Added developer kvm_utils repository.

* Wed Jun 15 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package

